Bug 1203589 - Disperse volume: marker-quota.c:1284:mq_get_parent_inode_local warning messages in brick logs [NEEDINFO]
Summary: Disperse volume: marker-quota.c:1284:mq_get_parent_inode_local warning messag...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: quota
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raghavendra G
QA Contact:
URL:
Whiteboard:
Depends On: 1184885
Blocks: qe_tracker_everglades glusterfs-3.7.0 1203648 1222847 1224138
TreeView+ depends on / blocked
 
Reported: 2015-03-19 08:27 UTC by Bhaskarakiran
Modified: 2018-11-21 02:54 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.7dev-0.994
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1224138 (view as bug list)
Environment:
Last Closed: 2018-11-21 02:54:35 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
ndevos: needinfo? (vmallika)


Attachments (Terms of Use)

Description Bhaskarakiran 2015-03-19 08:27:43 UTC
Description of problem:
=======================
Brick logs are getting filled with below messages 

[2015-03-19 08:21:52.378311] W [marker-quota.c:1284:mq_get_parent_inode_local] (--> /usr/lib64/libglusterfs.so.0(_gf_log_callingfn+0x1e0)[0x3d31421820] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_get_parent_inode_local+0x16b)[0x7fc5835b986b] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_inodelk_cbk+0xcb)[0x7fc5835bb6bb] (--> /usr/lib64/libglusterfs.so.0(default_inodelk_cbk+0xb9)[0x3d3142dba9] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/locks.so(pl_common_inodelk+0x29f)[0x7fc583df80ef] ))))) 0-dispersevol-marker: failed to build parent loc of <gfid:b5555791-ed9d-4e01-bf26-19735d5bf38c>/kernel
[2015-03-19 08:21:52.417618] W [marker-quota.c:1284:mq_get_parent_inode_local] (--> /usr/lib64/libglusterfs.so.0(_gf_log_callingfn+0x1e0)[0x3d31421820] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_get_parent_inode_local+0x16b)[0x7fc5835b986b] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_inodelk_cbk+0xcb)[0x7fc5835bb6bb] (--> /usr/lib64/libglusterfs.so.0(default_inodelk_cbk+0xb9)[0x3d3142dba9] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/locks.so(pl_common_inodelk+0x29f)[0x7fc583df80ef] ))))) 0-dispersevol-marker: failed to build parent loc of <gfid:b5555791-ed9d-4e01-bf26-19735d5bf38c>/kernel
[2015-03-19 08:21:52.461565] W [marker-quota.c:1284:mq_get_parent_inode_local] (--> /usr/lib64/libglusterfs.so.0(_gf_log_callingfn+0x1e0)[0x3d31421820] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_get_parent_inode_local+0x16b)[0x7fc5835b986b] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_inodelk_cbk+0xcb)[0x7fc5835bb6bb] (--> /usr/lib64/libglusterfs.so.0(default_inodelk_cbk+0xb9)[0x3d3142dba9] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/locks.so(pl_common_inodelk+0x29f)[0x7fc583df80ef] ))))) 0-dispersevol-marker: failed to build parent loc of <gfid:b5555791-ed9d-4e01-bf26-19735d5bf38c>/kernel
[2015-03-19 08:21:52.500833] W [marker-quota.c:1284:mq_get_parent_inode_local] (--> /usr/lib64/libglusterfs.so.0(_gf_log_callingfn+0x1e0)[0x3d31421820] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_get_parent_inode_local+0x16b)[0x7fc5835b986b] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/marker.so(mq_inodelk_cbk+0xcb)[0x7fc5835bb6bb] (--> /usr/lib64/libglusterfs.so.0(default_inodelk_cbk+0xb9)[0x3d3142dba9] (--> /usr/lib64/glusterfs/3.7dev/xlator/features/locks.so(pl_common_inodelk+0x29f)[0x7fc583df80ef] ))))) 0-dispersevol-marker: failed to build parent loc of <gfid:b5555791-ed9d-4e01-bf26-19735d5bf38c>/kernel

[root@vertigo ~]# grep -i "failed to build parent loc of" /var/log/glusterfs/bricks/rhs-brick1-b1.log  | wc -l
22012
[root@vertigo ~]# grep -i "failed to build parent loc of" /var/log/glusterfs/bricks/rhs-brick1-b1.log  | wc -l
22344

Version-Release number of selected component (if applicable):
=============================================================
[root@vertigo ~]# gluster --version
glusterfs 3.7dev built on Mar 17 2015 01:06:35
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@vertigo ~]# 

Steps :

1. created a 1x(8+2) volume
2. Fuse / NFS mount on the client
3. Start creating files and directories.
4. Bring down 4 of the bricks and continue the IO
5. Bring the brick back up after some time with gluster v start <volname> force
6. Trigger heal command with gluster v heal <volname> full
7. check the brick logs.

Comment 1 Bhaskarakiran 2015-03-19 08:28:41 UTC
Gluster volume status and info :
================================

[root@vertigo ~]# gluster v status
Status of volume: dispersevol
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick vertigo:/rhs/brick1/b1                49164     0          Y       28612
Brick ninja:/rhs/brick1/b1                  49164     0          Y       28961
Brick vertigo:/rhs/brick2/b2                49165     0          Y       28625
Brick ninja:/rhs/brick2/b2                  49165     0          Y       28974
Brick vertigo:/rhs/brick3/b3                49166     0          Y       28638
Brick ninja:/rhs/brick3/b3                  49166     0          Y       28989
Brick vertigo:/rhs/brick4/b4                49167     0          Y       28651
Brick ninja:/rhs/brick4/b4                  49167     0          Y       29002
Brick vertigo:/rhs/brick1/b1-1              49168     0          Y       28664
Brick ninja:/rhs/brick1/b1-1                49168     0          Y       28683
Brick vertigo:/rhs/brick2/b2-1              49169     0          Y       28677
Brick ninja:/rhs/brick2/b2-1                49169     0          Y       28696
Snapshot Daemon on localhost                49170     0          Y       29205
NFS Server on localhost                     2049      0          Y       29213
Quota Daemon on localhost                   N/A       N/A        Y       29153
Snapshot Daemon on ninja                    49170     0          Y       29857
NFS Server on ninja                         2049      0          Y       29941
Quota Daemon on ninja                       N/A       N/A        Y       29352
 
Task Status of Volume dispersevol
------------------------------------------------------------------------------
There are no active volume tasks
 
[root@vertigo ~]# gluster v info
 
Volume Name: dispersevol
Type: Disperse
Volume ID: 379cdb77-0f53-4d4e-86d4-851ded4e7f79
Status: Started
Number of Bricks: 1 x (8 + 4) = 12
Transport-type: tcp
Bricks:
Brick1: vertigo:/rhs/brick1/b1
Brick2: ninja:/rhs/brick1/b1
Brick3: vertigo:/rhs/brick2/b2
Brick4: ninja:/rhs/brick2/b2
Brick5: vertigo:/rhs/brick3/b3
Brick6: ninja:/rhs/brick3/b3
Brick7: vertigo:/rhs/brick4/b4
Brick8: ninja:/rhs/brick4/b4
Brick9: vertigo:/rhs/brick1/b1-1
Brick10: ninja:/rhs/brick1/b1-1
Brick11: vertigo:/rhs/brick2/b2-1
Brick12: ninja:/rhs/brick2/b2-1
Options Reconfigured:
cluster.disperse-self-heal-daemon: enable
features.uss: on
features.quota: on
client.event-threads: 4
server.event-threads: 4
[root@vertigo ~]#

Comment 2 Vijaikumar Mallikarjuna 2015-03-31 07:00:24 UTC
Patch #9478 and #9954 fixes the issues

Comment 3 Niels de Vos 2015-05-22 08:59:21 UTC
(In reply to Vijaikumar Mallikarjuna from comment #2)
> Patch #9478 and #9954 fixes the issues

These are changes for the master branch. This bug is for the mainline version, but is blocking glusterfs-3.7.0. Which bug was used for sending backports to release-3.7?


Note You need to log in before you can comment on or make changes to this bug.